curl --location 'https://api-sandbox.saaslogic.io/v1/products' \
--header 'Authorization: Bearer ' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"productName": "Pro Analytics Suite",
"description": "Enterprise-grade analytics with real-time reporting and data export",
"billingTypes": [
"Recurring",
"On-demand"
],
"resources": [
{
"resourceName": "API Calls",
"uomGroupName": "General",
"isUnitLevelEnforceable": false,
"isDecimalAllowed": false,
"calculationType": "SUM",
"isProrated": true,
"overageCalculationType": "NoOverage"
}
],
"features": [
{
"featureName": "User Management",
"description": "Manage users and roles"
}
],
"attributes": [
{
"attributeName": "Region",
"isMandatory": true
}
]
}'{
"productId": "778fb8b8-5080-4238-bb67-4c9ef2ede34f",
"productName": "Pro Analytics Suite",
"description": "Enterprise-grade analytics with real-time reporting and data export",
"billingTypes": [
"Recurring",
"On-demand"
],
"resources": [
{
"resourceId": "133a4f03-d6fc-4782-b3cd-c9b8e4168be1",
"resourceName": "API Calls",
"uomGroupName": "General",
"isUnitLevelEnforceable": false,
"isDecimalAllowed": false,
"calculationType": "SUM",
"isProrated": true,
"overageCalculationType": "NoOverage"
}
],
"features": [
{
"featureId": "133ayf03-d6fc-4782-b3cd-c9b8e4168be1",
"featureName": "User Management",
"description": "Manage users and roles"
}
],
"attributes": [
{
"attributeName": "Region",
"isMandatory": true
}
]
}